# Record TCefClient

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefClient = record`

## Description

Implement this structure to provide handler implementations.

NOTE: This struct is allocated client-side.

Implemented by ICefClient.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_client_capi.h">CEF source file: /include/capi/cef_client_capi.h (cef_client_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_audio_handler: function(self: PCefClient): PCefAudioHandler; stdcall;`
| `get_command_handler: function(self: PCefClient): PCefCommandHandler; stdcall;`
| `get_context_menu_handler: function(self: PCefClient): PCefContextMenuHandler; stdcall;`
| `get_dialog_handler: function(self: PCefClient): PCefDialogHandler; stdcall;`
| `get_display_handler: function(self: PCefClient): PCefDisplayHandler; stdcall;`
| `get_download_handler: function(self: PCefClient): PCefDownloadHandler; stdcall;`
| `get_drag_handler: function(self: PCefClient): PCefDragHandler; stdcall;`
| `get_find_handler: function(self: PCefClient): PCefFindHandler; stdcall;`
| `get_focus_handler: function(self: PCefClient): PCefFocusHandler; stdcall;`
| `get_frame_handler: function(self: PCefClient): PCefFrameHandler; stdcall;`
| `get_permission_handler: function(self: PCefClient): PCefPermissionHandler; stdcall;`
| `get_jsdialog_handler: function(self: PCefClient): PCefJsDialogHandler; stdcall;`
| `get_keyboard_handler: function(self: PCefClient): PCefKeyboardHandler; stdcall;`
| `get_life_span_handler: function(self: PCefClient): PCefLifeSpanHandler; stdcall;`
| `get_load_handler: function(self: PCefClient): PCefLoadHandler; stdcall;`
| `get_print_handler: function(self: PCefClient): PCefPrintHandler; stdcall;`
| `get_render_handler: function(self: PCefClient): PCefRenderHandler; stdcall;`
| `get_request_handler: function(self: PCefClient): PCefRequestHandler; stdcall;`
| `on_process_message_received: function(self: PCefClient; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_audio_handler: function(self: PCefClient): PCefAudioHandler; stdcall;`
This item has no description.

| `get_command_handler: function(self: PCefClient): PCefCommandHandler; stdcall;`
This item has no description.

| `get_context_menu_handler: function(self: PCefClient): PCefContextMenuHandler; stdcall;`
This item has no description.

| `get_dialog_handler: function(self: PCefClient): PCefDialogHandler; stdcall;`
This item has no description.

| `get_display_handler: function(self: PCefClient): PCefDisplayHandler; stdcall;`
This item has no description.

| `get_download_handler: function(self: PCefClient): PCefDownloadHandler; stdcall;`
This item has no description.

| `get_drag_handler: function(self: PCefClient): PCefDragHandler; stdcall;`
This item has no description.

| `get_find_handler: function(self: PCefClient): PCefFindHandler; stdcall;`
This item has no description.

| `get_focus_handler: function(self: PCefClient): PCefFocusHandler; stdcall;`
This item has no description.

| `get_frame_handler: function(self: PCefClient): PCefFrameHandler; stdcall;`
This item has no description.

| `get_permission_handler: function(self: PCefClient): PCefPermissionHandler; stdcall;`
This item has no description.

| `get_jsdialog_handler: function(self: PCefClient): PCefJsDialogHandler; stdcall;`
This item has no description.

| `get_keyboard_handler: function(self: PCefClient): PCefKeyboardHandler; stdcall;`
This item has no description.

| `get_life_span_handler: function(self: PCefClient): PCefLifeSpanHandler; stdcall;`
This item has no description.

| `get_load_handler: function(self: PCefClient): PCefLoadHandler; stdcall;`
This item has no description.

| `get_print_handler: function(self: PCefClient): PCefPrintHandler; stdcall;`
This item has no description.

| `get_render_handler: function(self: PCefClient): PCefRenderHandler; stdcall;`
This item has no description.

| `get_request_handler: function(self: PCefClient): PCefRequestHandler; stdcall;`
This item has no description.

| `on_process_message_received: function(self: PCefClient; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.